Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.regexp
Class Regexp

    java.lang.Object
      |
      +--com.caucho.regexp.Regexp

public class Regexp
extends java.lang.Object

Field Summary
`static int` | `FAIL`

Constructor Summary
`Regexp(com.caucho.regexp.Node prog, com.caucho.regexp.Regcomp comp)`
`Regexp(java.lang.String pattern)`
`Regexp(java.lang.String pattern, java.lang.String sflags)`

Method Summary
`int` | `exec(CharBuffer buffer, int first)` XXX: not proper behaviour with /g
`int` | `exec(CharCursor cursor)` XXX: not proper behaviour with /g
`int` | `exec(CharCursor cursor, int start, int first)` XXX: not proper behaviour with /g
`int` | `exec(java.lang.String string, int first)` XXX: not proper behaviour with /g
`java.lang.String` | `fill(java.lang.String test, java.lang.String replace)`
`CharBuffer` | `fill(java.lang.String test, java.lang.String replace, CharBuffer cb)`
`int` | `getBegin(int i)`
`int` | `getEnd(int i)`
`java.lang.String` | `getPattern()`
`boolean` | `ignoreCase()`
`boolean` | `isGlobal()`
`int` | `length()`
`boolean` | `match(java.lang.String string)`
`java.lang.String` | `replace(java.lang.String test, java.lang.String replace)`
`CharBuffer` | `replace(java.lang.String test, java.lang.String replace, CharBuffer cb)`
`java.util.ArrayList` | `split(java.lang.String string)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FAIL

    public static final int FAIL

Constructor Detail

### Regexp

    public Regexp(java.lang.String pattern,
                  java.lang.String sflags)
           throws IllegalRegexpException

### Regexp

    public Regexp(java.lang.String pattern)
           throws IllegalRegexpException

### Regexp

    public Regexp(com.caucho.regexp.Node prog,
                  com.caucho.regexp.Regcomp comp)

Method Detail

### getPattern

    public java.lang.String getPattern()

### isGlobal

    public boolean isGlobal()

### ignoreCase

    public boolean ignoreCase()

### exec

    public int exec(CharCursor cursor,
                    int start,
                    int first)

  XXX: not proper behaviour with /g

### exec

    public int exec(java.lang.String string,
                    int first)

  XXX: not proper behaviour with /g

### exec

    public int exec(CharBuffer buffer,
                    int first)

  XXX: not proper behaviour with /g

### exec

    public int exec(CharCursor cursor)

  XXX: not proper behaviour with /g

### getBegin

    public int getBegin(int i)

### getEnd

    public int getEnd(int i)

### length

    public int length()

### match

    public boolean match(java.lang.String string)

### split

    public java.util.ArrayList split(java.lang.String string)

### replace

    public CharBuffer replace(java.lang.String test,
                              java.lang.String replace,
                              CharBuffer cb)

### replace

    public java.lang.String replace(java.lang.String test,
                                    java.lang.String replace)

### fill

    public CharBuffer fill(java.lang.String test,
                           java.lang.String replace,
                           CharBuffer cb)

### fill

    public java.lang.String fill(java.lang.String test,
                                 java.lang.String replace)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD